<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.aiccs.entbase.mapper.TREntBaseForMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.aiccs.entbase.entity.TREntBaseFor">
        <id column="PRIPID" property="pripid" />
        <result column="BIZSEQ" property="bizseq" />
        <result column="FORENTYPE" property="forentype" />
        <result column="FORCAPINDCODE" property="forcapindcode" />
        <result column="MIDPREINDCODE" property="midpreindcode" />
        <result column="CONGRO" property="congro" />
        <result column="CONGROCUR" property="congrocur" />
        <result column="CONGRORATE" property="congrorate" />
        <result column="CONGROUSD" property="congrousd" />
        <result column="REGCAPCUR" property="regcapcur" />
        <result column="REGCAPRATE" property="regcaprate" />
        <result column="REGCAPUSD" property="regcapusd" />
        <result column="REGCAPRMB" property="regcaprmb" />
        <result column="RECCAPCUR" property="reccapcur" />
        <result column="RECCAPRATE" property="reccaprate" />
        <result column="RECCAPUSD" property="reccapusd" />
        <result column="RECCAPRMB" property="reccaprmb" />
        <result column="DOMEREGCAP" property="domeregcap" />
        <result column="DOMEREGCAPCUR" property="domeregcapcur" />
        <result column="DOMEREGCAPRATE" property="domeregcaprate" />
        <result column="DOMEREGCAPUSD" property="domeregcapusd" />
        <result column="DOMEREGCAPINVPROP" property="domeregcapinvprop" />
        <result column="DOMERECCAP" property="domereccap" />
        <result column="DOMERECCAPCUR" property="domereccapcur" />
        <result column="DOMERECCAPRATE" property="domereccaprate" />
        <result column="DOMERECCAPUSD" property="domereccapusd" />
        <result column="DOMERECCAPCONPROP" property="domereccapconprop" />
        <result column="FORREGCAP" property="forregcap" />
        <result column="FORREGCAPCUR" property="forregcapcur" />
        <result column="FORREGCAPRATE" property="forregcaprate" />
        <result column="FORREGCAPUSD" property="forregcapusd" />
        <result column="FORREGCAPINVPROP" property="forregcapinvprop" />
        <result column="FORRECCAP" property="forreccap" />
        <result column="FORRECCAPCUR" property="forreccapcur" />
        <result column="FORRECCAPRATE" property="forreccaprate" />
        <result column="FORRECCAPUSD" property="forreccapusd" />
        <result column="MGRITEM" property="mgritem" />
        <result column="MGRINFO" property="mgrinfo" />
        <result column="MGRCAP" property="mgrcap" />
        <result column="MGRCAPCUR" property="mgrcapcur" />
        <result column="MGRCAPRATE" property="mgrcaprate" />
        <result column="MGRCAPUSD" property="mgrcapusd" />
        <result column="OILCAP" property="oilcap" />
        <result column="OILCAPCUR" property="oilcapcur" />
        <result column="OILCAPRATE" property="oilcaprate" />
        <result column="OILCAPUSD" property="oilcapusd" />
        <result column="BANKCAP" property="bankcap" />
        <result column="BANKCAPCUR" property="bankcapcur" />
        <result column="BANKCAPRATE" property="bankcaprate" />
        <result column="BANKCAPUSD" property="bankcapusd" />
        <result column="COUNTRY" property="country" />
        <result column="LAWACCEPTNAME" property="lawacceptname" />
        <result column="AICLIAISONNAME" property="aicliaisonname" />
        <result column="AREA_CODE" property="areaCode" />
        <result column="LAUPTIME" property="lauptime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        PRIPID, BIZSEQ, FORENTYPE, FORCAPINDCODE, MIDPREINDCODE, CONGRO, CONGROCUR, CONGRORATE, CONGROUSD, REGCAPCUR, REGCAPRATE, REGCAPUSD, REGCAPRMB, RECCAPCUR, RECCAPRATE, RECCAPUSD, RECCAPRMB, DOMEREGCAP, DOMEREGCAPCUR, DOMEREGCAPRATE, DOMEREGCAPUSD, DOMEREGCAPINVPROP, DOMERECCAP, DOMERECCAPCUR, DOMERECCAPRATE, DOMERECCAPUSD, DOMERECCAPCONPROP, FORREGCAP, FORREGCAPCUR, FORREGCAPRATE, FORREGCAPUSD, FORREGCAPINVPROP, FORRECCAP, FORRECCAPCUR, FORRECCAPRATE, FORRECCAPUSD, MGRITEM, MGRINFO, MGRCAP, MGRCAPCUR, MGRCAPRATE, MGRCAPUSD, OILCAP, OILCAPCUR, OILCAPRATE, OILCAPUSD, BANKCAP, BANKCAPCUR, BANKCAPRATE, BANKCAPUSD, COUNTRY, LAWACCEPTNAME, AICLIAISONNAME, AREA_CODE, LAUPTIME
    </sql>

</mapper>
